org.apache.ignite.internal.pagemem.store

## Interface PageStoreCollection

All Known Implementing Classes:
  FilePageStoreManager

    public interface PageStoreCollection

A collection that contains `PageStore` elements.

### Method Summary

All Methods Instance Methods Abstract Methods
`PageStore` `getStore(int grpId, int partId)`
`Collection<PageStore>` `getStores(int grpId)`

### Method Detail

#### getStore

    PageStore getStore(int grpId,
                       int partId)
                throws IgniteCheckedException

Parameters:
  `grpId` - Cache group ID.
  `partId` - Partition ID.
Returns:
  Page store for the corresponding parameters.
Throws:
  `IgniteCheckedException` - If cache or partition with the given ID was not created.

#### getStores

    Collection<PageStore> getStores(int grpId)
                             throws IgniteCheckedException

Parameters:
  `grpId` - Cache group ID.
Returns:
  Collection of related page stores.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021